a.ticket {
  display: inline-block;
  padding: 5px 15px;
  color: #333;
  border-radius: 9999px;
  background: rgb(204, 204, 204);
  transition: all 0.3s linear;
}

a.ticket:hover {
  text-decoration: none;
  background: rgb(255, 255, 255);
}

summary {
  /* display: list-item;以外を指定してデフォルトの三角形アイコンを消します */
  display: block;
}

summary::-webkit-details-marker {
  /* Safariで表示されるデフォルトの三角形アイコンを消します */
  display: none;
}

.summary_inner {
  cursor: pointer;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 5px 10px;
  border: 1px solid rgba(204, 204, 204, 0.25);
  font-weight: bold;
}

/* --------アイコン-------- */
.icon {
  display: block;
  position: relative;
  width: 8px;
  margin-left: 5px;
  flex-shrink: 0;
  transform-origin: center 43%;
  transition: transform 0.4s;
}

/* アコーディオンが開いた時のスタイル */
details[open] .icon {
  transform: rotate(180deg);
}

/* アイコンのバーのスタイル */
.icon::before,
.icon::after {
  content: "";
  position: absolute;
  display: block;
  width: 5px;
  height: 1px;
  background-color: rgb(204, 204, 204);
}

.icon::before {
  left: 0;
  transform: rotate(45deg);
}

.icon::after {
  right: 0;
  transform: rotate(-45deg);
}

/* --------アコーディオンの中身-------- */
.content {
  background-color: rgba(204, 204, 204, 0.25);
  padding: 10px 15px;
}
